> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/marketplace/managing-providers.md).

# Managing Providers

Operations related to Providers, the commercial entities offering Services through Offers on the marketplace.

## GET /organisations/{organisation\_id}/organisations\_locale

> Search organisations locale

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing providers","description":"Operations related to Providers, the commercial entities offering Services through Offers on the marketplace."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/organisations_locale":{"get":{"description":"","parameters":[{"explode":false,"schema":{"type":"integer","format":"int64"},"style":"simple","required":true,"name":"organisation_id","in":"path"},{"explode":true,"schema":{"type":"integer","format":"int64"},"required":false,"in":"query","style":"form","name":"id"},{"in":"query","required":false,"explode":true,"name":"locale","description":"locale","schema":{"$ref":"#/components/schemas/Locale"},"style":"form"},{"style":"form","name":"first_result","description":"Offset from which the search must be performed","explode":true,"schema":{"type":"integer","format":"int32"},"in":"query","required":false},{"description":"Number of maximum items that shall be return by this search","in":"query","required":false,"name":"max_results","explode":true,"schema":{"type":"integer","format":"int32"},"style":"form"},{"required":false,"explode":true,"name":"order_by","schema":{"type":"array","items":{"type":"string"}},"in":"query","description":"Fields used to order the result","style":"form"},{"in":"query","explode":true,"name":"keywords","description":"The keywords to match with organisations locale names","required":false,"style":"form","schema":{"type":"string"}},{"schema":{"type":"boolean"},"required":false,"name":"archived","in":"query","style":"form","description":"Whether to filter with archived or not","explode":true}],"summary":"Search organisations locale","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganisationLocaleResource"}},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Managing providers"],"operationId":"findOrganisationsLocale"}}},"components":{"schemas":{"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"OrganisationLocaleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","id","locale","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /organisations/{organisation\_id}/organisations\_locale

> Create organisation locale

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing providers","description":"Operations related to Providers, the commercial entities offering Services through Offers on the marketplace."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/organisations_locale":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationLocaleResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The organisation locale to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganisationLocaleResource"}}},"required":true},"operationId":"createOrganisationLocale","tags":["Managing providers"],"description":"","summary":"Create organisation locale","parameters":[{"name":"organisation_id","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"in":"path","explode":false}]}}},"components":{"schemas":{"OrganisationLocaleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","id","locale","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/organisations\_locale/{id}

> Get organisation locale by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing providers","description":"Operations related to Providers, the commercial entities offering Services through Offers on the marketplace."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/organisations_locale/{id}":{"get":{"summary":"Get organisation locale by id","operationId":"getOrganisationLocale","parameters":[{"in":"path","name":"organisation_id","required":true,"style":"simple","schema":{"type":"integer","format":"int64"},"explode":false},{"schema":{"type":"integer","format":"int64"},"style":"simple","explode":false,"name":"id","required":true,"in":"path"}],"tags":["Managing providers"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationLocaleResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"OrganisationLocaleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","id","locale","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /organisations/{organisation\_id}/organisations\_locale/{id}

> Update organisation locale by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing providers","description":"Operations related to Providers, the commercial entities offering Services through Offers on the marketplace."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/organisations_locale/{id}":{"put":{"requestBody":{"description":"The organisation locale to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganisationLocaleResource"}}},"required":true},"tags":["Managing providers"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationLocaleResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateOrganisationLocale","summary":"Update organisation locale by id","parameters":[{"in":"path","name":"organisation_id","required":true,"schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple"},{"required":true,"in":"path","name":"id","schema":{"type":"integer","format":"int64"},"style":"simple","explode":false}]}}},"components":{"schemas":{"OrganisationLocaleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","id","locale","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /organisations/{organisation\_id}/organisations\_locale/{id}

> Delete organisation locale

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing providers","description":"Operations related to Providers, the commercial entities offering Services through Offers on the marketplace."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/organisations_locale/{id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Managing providers"],"summary":"Delete organisation locale","parameters":[{"explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"required":true,"name":"organisation_id","style":"simple"},{"style":"simple","name":"id","schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"in":"path"}],"description":"","operationId":"deleteOrganisationLocale"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/marketplace/managing-providers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
